libnvme(2)

NAME
enum nvme_set_feat_event_layout - This field indicates the set feature event layout

SYNOPSIS
enum nvme_set_feat_event_layout {
NVME_SET_FEAT_EVENT_DW_COUNT_SHIFT ,
NVME_SET_FEAT_EVENT_CC_DW0_SHIFT ,
NVME_SET_FEAT_EVENT_MB_COUNT_SHIFT ,
NVME_SET_FEAT_EVENT_DW_COUNT_MASK ,
NVME_SET_FEAT_EVENT_CC_DW0_MASK ,
NVME_SET_FEAT_EVENT_MB_COUNT_MASK

};

Constants

NVME_SET_FEAT_EVENT_DW_COUNT_SHIFT
    Shift amount to get the Dword count from the struct nvme_set_feature_event.layout field.

NVME_SET_FEAT_EVENT_CC_DW0_SHIFT
    Shift amount to get the logged command completion Dword 0 from the struct nvme_set_feature_event.layout field.

NVME_SET_FEAT_EVENT_MB_COUNT_SHIFT
    Shift amount to get the memory buffer count from the struct nvme_set_feature_event.layout field.

NVME_SET_FEAT_EVENT_DW_COUNT_MASK
    Mask to get the Dword count from the struct nvme_set_feature_event.layout field.

NVME_SET_FEAT_EVENT_CC_DW0_MASK
    Mask to get the logged command completion Dword 0 from the struct nvme_set_feature_event.layout field.

NVME_SET_FEAT_EVENT_MB_COUNT_MASK
    Mask to get the memory buffer count from the struct nvme_set_feature_event.layout field.